Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hpsf
Class HPSFRuntimeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.poi.hpsf.HPSFRuntimeException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  IllegalPropertySetDataException, MissingSectionException, NoFormatIDException, NoSingleSectionException

    public class HPSFRuntimeException

extends java.lang.RuntimeException

This exception is the superclass of all other unchecked exceptions thrown in this package. It supports a nested "reason" throwable, i.e. an exception that caused this one to be thrown.

Author:
  Rainer Klute <klute@rainer-klute.de>
See Also:
  Serialized Form

Constructor Summary
`HPSFRuntimeException()` Creates a new `HPSFRuntimeException`.
`HPSFRuntimeException(java.lang.String msg)` Creates a new `HPSFRuntimeException` with a message string.
`HPSFRuntimeException(java.lang.String msg, java.lang.Throwable reason)` Creates a new `HPSFRuntimeException` with a message string and a reason.
`HPSFRuntimeException(java.lang.Throwable reason)` Creates a new `HPSFRuntimeException` with a reason.

Method Summary
`java.lang.Throwable` | `getReason()` Returns the `Throwable` that caused this exception to be thrown or `null` if there was no such `Throwable`.
`void` | `printStackTrace()`
`void` | `printStackTrace(java.io.PrintStream p)`
`void` | `printStackTrace(java.io.PrintWriter p)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HPSFRuntimeException

    public HPSFRuntimeException()

  Creates a new `HPSFRuntimeException`.

### HPSFRuntimeException

    public HPSFRuntimeException(java.lang.String msg)

  Creates a new `HPSFRuntimeException` with a message string.

  Parameters:
    `msg` - The message string.

### HPSFRuntimeException

    public HPSFRuntimeException(java.lang.Throwable reason)

  Creates a new `HPSFRuntimeException` with a reason.

  Parameters:
    `reason` - The reason, i.e. a throwable that indirectly caused this exception.

### HPSFRuntimeException

    public HPSFRuntimeException(java.lang.String msg,
                                java.lang.Throwable reason)

  Creates a new `HPSFRuntimeException` with a message string and a reason.

  Parameters:
    `msg` - The message string.
    `reason` - The reason, i.e. a throwable that indirectly caused this exception.

Method Detail

### getReason

    public java.lang.Throwable getReason()

  Returns the `Throwable` that caused this exception to be thrown or `null` if there was no such `Throwable`.

  Returns:
    The reason

### printStackTrace

    public void printStackTrace()

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  See Also:
    `Throwable.printStackTrace()`

### printStackTrace

    public void printStackTrace(java.io.PrintStream p)

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  See Also:
    `Throwable.printStackTrace(java.io.PrintStream)`

### printStackTrace

    public void printStackTrace(java.io.PrintWriter p)

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  See Also:
    `Throwable.printStackTrace(java.io.PrintWriter)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.